# SolrInputDocument::setFieldBoost

(PECL solr >= 0.9.2)

SolrInputDocument::setFieldBoost — Sets the index-time boost value for a field

### Description

public SolrInputDocument::setFieldBoost ( string `$fieldName` , float `$fieldBoostValue` ) : bool

Sets the index-time boost value for a field. This replaces the current boost value for this field.

### Parameters

`fieldName`

  The name of the field.

`fieldBoostValue`

  The index time boost value.